<?php
namespace Claromentis\Menu;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_7631abf8f23410319b71" . "15e54aa60c6d" => base64_decode("bWVudV9idW" . "lsZGVyLmZv" . "bGRlcg=="), "_0c5123aa744f69bbc0e8b3ea2f6" . "e847d" => base64_decode("bG1zZ" . "w=="), "_787716e85b" . "3b1de5c1545" . "6747d65bab1" => base64_decode("bWVudV9" . "idWlsZG" . "VyLmxpb" . "ms="), "_f88c098046" . "7f304d271bb" . "a91bea8da3f" => base64_decode("bWVudV" . "9idWls" . "ZGVyLn" . "BhZ2U="));






class NodeType
{
    const PAGE = 1;
    const LINK = 2;
    const FOLDER = 3;
    public static function GetDescription($type)
    {
        static $node_type_descr_localized;
        if (!isset($node_type_descr_localized)) {
            $node_type_descr_localized = array(self::PAGE => $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_0c5123aa744f69b" . "bc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_f88c0980467f304d271bba9" . "1bea8da3f"]), self::LINK => $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_0c5123aa744f69bbc0e8b3" . "ea2f6e847d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_787716e85b3b1de5c154567" . "47d65bab1"]), self::FOLDER => $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_7631abf8f2341" . "0319b7115e54aa" . "60c6d"]));
        }
        if (isset($node_type_descr_localized[$type])) {
            return $node_type_descr_localized[$type];
        } else {
            return null;
        }
    }
    public static function GetByCode($code)
    {
        static $node_types = array("page" => self::PAGE, "link" => self::LINK, "folder" => self::FOLDER);
        if (isset($node_types[$code])) {
            return $node_types[$code];
        } else {
            return null;
        }
    }
    public static function GetCode($type)
    {
        static $codes = array(self::PAGE => "page", self::LINK => "link", self::FOLDER => "folder");
        if (isset($codes[$type])) {
            return $codes[$type];
        } else {
            return null;
        }
    }
}